*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: 'Rajdhani', sans-serif;
    background-color: #0A192F;
    min-height: 400px;
}

.section {
    width: 100%;
    margin: 0px auto;
    min-height: 300px;
    padding-top: 20px;
    position: relative; 
}

.section .sub-title{
    width: 90%;
    text-align: start;
    font-size: 2.5em;
    color: #58D68C;
    margin: 0px auto;
    position: relative;
    z-index: 9;
}

.section .sub-title span{
    color: #E9E7F1;
    background-color: #58D68C;
}

.section .sub-title::after{
    background-color: #58D68C;
    width: 95%;
    height: 2px;
    content: "";
    display: block;
    margin-bottom: 20px;
    top: 45px;
}

header{
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 0px auto;
    min-height: 500px;
    position: relative;
    background-image: url(img/bg-home.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
}

.bg-opacity-home{
    background-color: #0a192fa0 ;
    width: 100%;
    height: 100%;
    position: absolute ;
    z-index: 1;
    top: 0;
}

/**
* MENU
**/
header nav {
    width: 100%;
    height: 70px;
    position: fixed;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #0A192F;
    z-index: 11;
    box-shadow: 0px 0px 30px 0px #0A192F;
    top: 0 !important;
}

nav .logo{
    height: 60px;
    padding: 5px;
    position: relative;
}

.logo img {
    height: 100%;
    vertical-align: top;
}

nav .hamburguesa{
    color: #f2f2f2;
    font-size: 1.2em;
    z-index: 10;
    cursor: pointer;
    display: none;
}

nav .menu a {
    color: #f2f2f2;
    text-decoration: none;
    display: inline-block;
    padding: 5px 20px;
    position: relative;
}

nav .menu a:hover{
    color: #58D68C;
}

nav .menu a:after{
    position: absolute;
    content: "";
    bottom: 0;
    left: 0;
    width: 0;
    height: 2px;
    background: #58D68C;
    transition: all 0.6s;
}

nav .menu a:hover:after{
    width: 100%;
}

/**
* HOME
**/

header .container-header{
    width: 100%;
    height: calc(100vh - 80px);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0px 5%;
}

.container-header .text-header{
    flex-basis: 50%;
    z-index: 10;
    text-shadow: 1px 1px 3px #000;
}

.text-header h1{
    font-size: 3.1em;
    color: #f2f2f2;
}

.text-header h1 span{
    color: #58D68C;
}

.text-header h1:nth-child(1){
    color: #58D68C;
}

.text-header h1:nth-child(1) span {
    color: #f2f2f2;
    animation: parpadeo 1.5s infinite;
}

@keyframes parpadeo {
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
    100% { opacity: 1.0; }
}

.text-header h2{
    margin-top: 20px;
    font-size: 1.5em;
    color: #f2f2f2;
}

.text-header h2 span{
    color: #58D68C;
}

.text-header p{
    margin-top: 20px;
    font-size: 1em;
    color: #f2f2f2;
    position: relative;
}

.container-header .svg-header{
    flex-basis: 48%;
}
.container-header .svg-header img{
    width: 95%;
    position: relative;
    z-index: 10;
}

header .polygon{
    background-color: #E9E7F1;
    clip-path: polygon( 100% 0%, 100% 100%, 0 100%, 0 100%);
    width: 100%;
    height: 400px;
    position: absolute;
    bottom: -1px;
}

  header .down{
    width: 100px;
    height: 100px;
    position: absolute;
    bottom: 10px;
    margin: 0px auto;
    text-align: center;
    z-index: 10;
  }

  header .down em {
    font-size: 70px;
    color: #58D68C;
    animation: arrow-down 1s ease-in-out alternate infinite;
  }

  @keyframes arrow-down {
    0%{
        transform: translateY(25%);
    }
    
    100%{
        transform: translateY(70%);
    }
  }

  /* ------------------------------------------------ */

.fab-wrapper {
    position: fixed;
    bottom: 3rem;
    right: 3rem;
    z-index: 11;
}

.fab-checkbox {
    display: none;
}

.fab {
    position: absolute;
    bottom: -1rem;
    right: -1rem;
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 50%;
    transition: all 0.3s ease;
    z-index: 1;
    border: 1px solid #58D68C;
    cursor: pointer;
}
.fab:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    border-radius: 50%;
    background-color: #0A192F;
}
.fab-checkbox:checked~.fab:before {
    width: 90%;
    height: 90%;
    left: 5%;
    top: 5%;
}
.fab:hover {
    background: #58D68C;
    
}

.fab-dots {
    position: absolute;
    height: 8px;
    width: 8px;
    background-color: white;
    border-radius: 50%;
    top: 50%;
    transform: translateX(0%) translateY(-50%) rotate(0deg);
    opacity: 1;
    animation: blink 3s ease infinite;
    transition: all 0.3s ease;
}
.fab-dots-1 {
    left: 15px;
    animation-delay: 0s;
}

.fab-dots-2 {
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    animation-delay: 0.4s;
}

.fab-dots-3 {
    right: 15px;
    animation-delay: 0.8s;
}

.fab-checkbox:checked~.fab .fab-dots {
    height: 6px;
}

.fab .fab-dots-2 {
    transform: translateX(-50%) translateY(-50%) rotate(0deg);
}

.fab-checkbox:checked~.fab .fab-dots-1 {
    width: 32px;
    border-radius: 10px;
    left: 50%;
    transform: translateX(-50%) translateY(-50%) rotate(45deg);
}

.fab-checkbox:checked~.fab .fab-dots-3 {
    width: 32px;
    border-radius: 10px;
    right: 50%;
    transform: translateX(50%) translateY(-50%) rotate(-45deg);
}

@keyframes blink {
    50% {
        opacity: 0.25;
    }
}
.fab-checkbox:checked~.fab .fab-dots {
    animation: none;
}
.fab-wheel {
    position: absolute;
    bottom: 0;
    right: 0;
    
    width: 9rem;
    height: 9rem;
    transition: all 0.3s ease;
    transform-origin: bottom right;
    transform: scale(0);
}

.fab-checkbox:checked~.fab-wheel {
    transform: scale(1);
}

.fab-action {
    position: absolute;
    background: #0f1941;
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: White;
    transition: all 1s ease;
    opacity: 0;
    text-decoration: none;
}

.fab-checkbox:checked~.fab-wheel .fab-action {
    opacity: 1;
}

.fab-action:hover {
    background-color: #f2f2f2;
    color: #58D68C;
}

.fab-wheel .fab-action-1 {
    right: -1rem;
    top: 0;
}

.fab-wheel .fab-action-2 {
    right: 3.4rem;
    top: 0.5rem;
}

.fab-wheel .fab-action-3 {
    left: 0.5rem;
    bottom: 3.4rem;
}

.fab-wheel .fab-action-4 {
    left: 0;
    bottom: -1rem;
}